import * as crypto from 'crypto';
export declare namespace ResourceNaming {
    export enum NamingType {
        NO = 0,
        DEFAULT = 1,
        CUSTOM = 2
    }
    export interface NoNaming {
        readonly type: NamingType.NO;
    }
    export interface DefaultNaming {
        readonly type: NamingType.DEFAULT;
    }
    interface NamingOptions {
        readonly naming: NoNaming | DefaultNaming | {
            readonly type: NamingType.CUSTOM;
            readonly names: {
                [key: string]: string;
            };
        };
    }
    export function createRandomString(value: crypto.BinaryLike, length?: number): string;
    export function naming(resourceNaming: NamingOptions, defaultNaming: {
        [p: string]: string | undefined;
    }): {
        naming: {
            [k: string]: string | undefined;
        };
    };
    export {};
}
